# Initial Maldisoft cmdline usage tutorial

If you are reading this is because you already unpacked the program.

If you list the files and directories you will find the directories:

```
data
html
```

In the data directory you **MUST** create a sub directory with the data that you want to analyze together and then create a directory inside html where the results will be written.

For instance for the NIH example:
```
mkdir data/nih
mkdir html/nih
```

Copy inside `data/nih` the data to be analyzed.

The list of peaks that you want to analyze is inside the file peaks.txt.  If you want to remove or add a new peak just follow the same format that is inside the file.  

Currently:

```
1257.4
1419.5
1581.5
1743.6
1809.7
1905.6
```

To run the program you just need to follow the following syntax in the terminal:

```
python maldisoft.py peaks.txt html/sample_name/ data/sample_name/*
```

For the NIH example it would be:
```
python maldisoft.py peaks.txt html/nih/ data/nih/*
```

The results should be inside `html/nih`.

To open the results page in your computer go to the directory and double click the index.html file.

If you have a mac just do:

```
open html/nih/index.html
```

